Php 5 on Ubuntu

This assumes that you want to use Php with Apache2 on Ubuntu 8.10 Intrepid.

First install libapache2-mod-php5:

sudo apt-get install libapache2-mod-php5

Which will install the following extra packages:

The following extra packages will be installed:
apache2-mpm-prefork php5-common
Suggested packages:
php-pear php5-timezonedb

And will remove apache2-mpm-worker (if you have it already installed).

The following packages will be REMOVED:
apache2-mpm-worker

This will install core Php packages, if you need others search for them:

apt-cache search php |more

And install what you need.

Leave a Reply

Your email address will not be published. Required fields are marked *